Encrypt API for Set or Rest PIN

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Encrypt API request parameters varies based on the API with which it is used for. This section describes the Encrypt API used with Set or Reset PIN API.

Sandboxpayusandbox-kong.pc.enstage-sas.com/api/v2/encrypt
ProductionContact your WIBMO KAM or support.
Sample request
curl --request POST \
     --url https://payusandbox-kong.pc.enstage-sas.com/api/v2/encrypt \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --header 'x-api-key: 4A02C4267C9A97A1488AB3259FD1A725' \
     --data '
{
  "messageCode": "1120",
  "requestDateTime": "20240408101000",
  "clientTxnId": "201507271458370149gM90jY0",
  "newPIN": "1244",
  "last4Digits": "1745",
  "customerId": "IN00001201001868",
  "urn": "6"
}
'
Sample response
{
  "token": "lO+YNouaBSM4g7C+33YxbAIOg5SL053shNBmew7bP2Vwbqa245hIpaJJgaO8Vu2czuOXDo7D4e2S58697mvuapEOXTxZtpV4hLyx56i5kFh6In9X68vnfeDCa1gFBWgFWlHqQTIzIXPo6zHsRcz3QhNIQnI3tDW93vU71zNg1MIglZ9z9htSFF0YbMcfedxgAPgYZlGEI8HUFY9mlChpvBa2c4myBQ3Xr9O2KymfZyRvS0HpbBKL/Cdyxsr8B+rEiaDQb9nITaUA2Kka45xB7w=="
}

Request parameters

Body Params
const
enum
required

This parameter must include the message code. It is 1120 for this API.

Allowed:
string
required

This parameter must contain the request date and time in the YYYYMMDDHHMMSS format, where time is in 24 hour format.

string
required

This parameter must include an unique ID generated by the calling application for each API request.

string
required

This parameter must contain the new cardholder PIN For PayU as an issuer, PIN will be of 4 digits.

string
required

This parameter must contain the last four digits of the card,

string
required

This parameter must include an unique customer identifier. If the value is not posted, WIBMO will generate a numeric ID for the same.

string
required

This parameter must contain the customer unique reference number.

Headers
string
required

This parameter must contain the API key.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json